cutlass::gemm::threadblock::MmaPolicy< Operator_, SmemPaddingA_, SmemPaddingB_, PartitionsK > Struct Template Reference

Policy object describing MmaTensorOp.

`#include <mma_base.h>`

## Public Types

using | Operator = Operator_
| Warp-level GEMM operator (concept: gemm::warp::MmaTensorOp or gemm::warp::MmaSimt) More...
using | SmemPaddingA = SmemPaddingA_
| Padding used for A operand in shared memory. More...
using | SmemPaddingB = SmemPaddingB_
| Padding used for B operand in shared memory. More...

## Static Public Attributes

static int const | kPartitionsK = PartitionsK
| Number of partitions of K dimension. More...

## Member Typedef Documentation

template<typename Operator_ , typename SmemPaddingA_ , typename SmemPaddingB_ , int PartitionsK = 1>

using cutlass::gemm::threadblock::MmaPolicy< Operator_, SmemPaddingA_, SmemPaddingB_, PartitionsK >::Operator = Operator_

template<typename Operator_ , typename SmemPaddingA_ , typename SmemPaddingB_ , int PartitionsK = 1>

using cutlass::gemm::threadblock::MmaPolicy< Operator_, SmemPaddingA_, SmemPaddingB_, PartitionsK >::SmemPaddingA = SmemPaddingA_

template<typename Operator_ , typename SmemPaddingA_ , typename SmemPaddingB_ , int PartitionsK = 1>

using cutlass::gemm::threadblock::MmaPolicy< Operator_, SmemPaddingA_, SmemPaddingB_, PartitionsK >::SmemPaddingB = SmemPaddingB_

## Member Data Documentation

template<typename Operator_ , typename SmemPaddingA_ , typename SmemPaddingB_ , int PartitionsK = 1>

int const cutlass::gemm::threadblock::MmaPolicy< Operator_, SmemPaddingA_, SmemPaddingB_, PartitionsK >::kPartitionsK = PartitionsK

static

The documentation for this struct was generated from the following file:

- mma_base.h